%define base_version 3.6

Summary: Persistence of Vision Raytracer
Name: povray
Version: 3.6.1
Release: 1
License: Other
Group: Amusements/Graphics
URL: http://www.povray.org/
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libjpeg-devel >= 6b, libpng-devel >= 1.2.25
BuildRequires: libtiff-devel >= 3.8.2, libXpm-devel >= 3.5.7
BuildRequires: zlib-devel >= 1.2.3
BuildRequires: gcc >= 4.2.3, gcc-c++ >= 4.2.3
Requires: libjpeg >= 6b, libpng >= 1.2.25, libtiff >= 3.8.2
Requires: libXpm >= 3.5.7, zlib >= 1.2.3
Requires: libgcc >= 4.2.3-2, libstdc++ >= 4.2.3-2

%description
The Persistence of Vision Raytracer is a high-quality, totally free tool for
creating stunning three-dimensional graphics.

The license of povray is quite complicated, more information can be found at:
http://www.povray.org/povlegal.html
http://www.povray.org/distribution-license.html


%prep
%setup -q
%patch0


%build
export CC="gcc -mcpu=power6 -mtune=power6"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O3 -I/opt/freeware/include -funroll-loops -fpeel-loops -ffast-math"

export CXX="g++ -mcpu=power6 -mtune=power6"
export CXXFLAGS=$CFLAGS

export LD=ld
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib"

./configure \
    --prefix=%{_prefix} \
    --enable-strip \
    --disable-optimiz \
    --with-x \
    COMPILED_BY="Michael Perzl <michael@perzl.org>"

make %{?_smp_mflags}

mv unix/povray unix/povray-p6
make clean

export CC="gcc -mcpu=power5 -mtune=power5"
export CXX="g++ -mcpu=power5 -mtune=power5"

./configure \
    --prefix=%{_prefix} \
    --enable-strip \
    --disable-optimiz \
    --with-x \
    COMPILED_BY="Michael Perzl <michael@perzl.org>"

make %{?_smp_mflags}

mv unix/povray unix/povray-p5
make clean

export CC="gcc"
export CXX="g++"

./configure \
    --prefix=%{_prefix} \
    --enable-strip \
    --disable-optimiz \
    --with-x \
    COMPILED_BY="Michael Perzl <michael@perzl.org>"

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

cp unix/povray-p? ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/%{name}/%{base_version}/povray.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{base_version}/povray.ini
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}-%{base_version}
%{_datadir}/doc/%{name}-%{base_version}


%changelog
* Thu Jan 13 2010 Michael Perzl <michael at perzl dot org> - 3.6.1-1
- first version for AIX V5.1 and higher
